@import url('https://fonts.googleapis.com/css2?family=Rubik:wght@300;400;500;600;700;800;900&display=swap');

:root {
    --clr-black: #1c1c1c;
    --clr-gray: #ececec;
    --clr-white: #f7f7f7;

    --type-normal: #A8A878;
    --type-fire: #F08030;
    --type-water: #6890F0;
    --type-grass: #78C850;
    --type-electric: #F8D030;
    --type-ice: #98D8D8;
    --type-fighting: #C03028;
    --type-poison: #A040A0;
    --type-ground: #E0C068;
    --type-flying: #A890F0;
    --type-psychic: #F85888;
    --type-bug: #A8B820;
    --type-rock: #B8A038;
    --type-ghost: #705898;
    --type-dark: #705848;
    --type-dragon: #7038F8;
    --type-steel: #B8B8D0;
    --type-fairy: #F0B6BC;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    color: var(--clr-black);
    font-family: 'Rubik', sans-serif;
}

ul {
    list-style-type: none;
}

button {
    background-color: transparent;
    border: 0;
    border-radius: 0;
}

body {
    min-height: 100vh;
    background-color: var(--clr-gray);
}

header {
    padding-block: 1rem;
    min-height: 5px;
    box-shadow: 0 0 2rem -1rem rgba(0, 0, 0, .5);
    min-height: 70px;
}

.nav {
    display: flex;
    min-height: 10px;
    flex-direction: column;
    gap: 1rem;
    align-items: flex-start;
    padding-inline: 2rem;
    max-width: 1000px;
    margin: 0 auto;
    
}
.buscador2{
  
    position: absolute;
    
    left: -100%;
    
   
   
    
   }

.New{
    background-color: #2c3e50;
    min-height: 80px;
    width: 100%;
       
}



nav ul{
    float: inherit;
    margin-right: 20px;
    min-height: 80px;
    
.img2{
    float: right;
}
    

    
}
nav ul li{
    display: inline-block;
    line-height: 80px;
    margin: 0 5px;
    
    
}

.checkbtn{
    font-size: 30px;
    color: white;
    float: right;
    line-height: 80px;
    margin-right: 40px;
    cursor: pointer;
    display: none;
    
}

#check{
    display: none;
}

@media (max-width: 952px){
    label.logo{
        padding-left: 50px;
    }
   
    nav ul li a{
        font-size: 16px;
    }
   
}

@media (max-width: 858px) {
    .checkbtn{
        display: block;
        
    }
    ul{
        position: absolute;
        width: 100%;
        height: 100vh;
        background: #2c3e50;
        top: 80px;
        left: -100%;
        text-align: center;
        transition: all .5s;
        z-index: 1;

        
    }
    nav ul li{
        display: block;
        margin: 20px 0;
        line-height: 30px;
    }
    nav ul li a{
        font-size: 20px;
    }

   .img2{
    width: 80px;
    height: 80px;
   }
  
   .buscador{
    display: none;
   }
 
   .buscador2{
  
    position: absolute;
    top: 7%;
    left: 50%;
    transform: translate(-50%, -50%);
   
   
    
   }   
    div{
       position: static;
       margin-top: auto;
      
    }
    #check:checked ~ ul{
        left: 0;
        
    }
 
    .walter{
        padding: 1;
    
    }

}

.filtro{
    display: none;
}


.nav-list {
    display: flex;
    min-height: 50px;
    align-items: center;
    flex-wrap: wrap;
    gap: .5rem;
    

}

.btn-header {
    background-color: var(--clr-gray);
    padding: .5rem;
    border-radius: 100vmax;
    cursor: pointer;
    text-transform: uppercase;
    font-weight: 600;
    box-shadow: 0 0 1rem rgba(0, 0, 0, .25);
    transition: .2s;
}

.btn-header:hover {
    transform: scale(1.1);
    box-shadow: 0 0 2rem rgba(0, 0, 0, .25);
}

main {
    padding: 2rem;
    max-width: 1000px;
    margin: 0 auto;
    
    
    

}

.pokemon-igen {
    display: grid;
    grid-template-columns: 1fr;
    gap: 1rem;
}

@media screen and (min-width: 470px) {
    .pokemon-igen {
        grid-template-columns: 1fr 1fr;
    }
}

@media screen and (min-width: 700px) {
    .pokemon-igen {
        grid-template-columns: 1fr 1fr 1fr 1fr;
    }
}

.pokemon-iigen {
    display: grid;
    grid-template-columns: 1fr;
    gap: 1rem;
}

@media screen and (min-width: 470px) {
    .pokemon-iigen {
        grid-template-columns: 1fr 1fr;
    }
}

@media screen and (min-width: 700px) {
    .pokemon-iigen {
        grid-template-columns: 1fr 1fr 1fr 1fr;
    }
}

.pokemon-iiigen {
    display: grid;
    grid-template-columns: 1fr;
    gap: 1rem;
}

@media screen and (min-width: 470px) {
    .pokemon-iiigen {
        grid-template-columns: 1fr 1fr;
    }
}

@media screen and (min-width: 700px) {
    .pokemon-iiigen {
        grid-template-columns: 1fr 1fr 1fr 1fr;
    }
}


.pokemon-ivgen {
    display: grid;
    grid-template-columns: 1fr;
    gap: 1rem;
}

@media screen and (min-width: 470px) {
    .pokemon-ivgen {
        grid-template-columns: 1fr 1fr;
    }
}

@media screen and (min-width: 700px) {
    .pokemon-ivgen {
        grid-template-columns: 1fr 1fr 1fr 1fr;
    }
}

.pokemon-vgen {
    display: grid;
    grid-template-columns: 1fr;
    gap: 1rem;
}

@media screen and (min-width: 470px) {
    .pokemon-vgen {
        grid-template-columns: 1fr 1fr;
    }
}

@media screen and (min-width: 700px) {
    .pokemon-vgen {
        grid-template-columns: 1fr 1fr 1fr 1fr;
    }
}

.pokemon-vigen {
    display: grid;
    grid-template-columns: 1fr;
    gap: 1rem;
}

@media screen and (min-width: 470px) {
    .pokemon-vigen {
        grid-template-columns: 1fr 1fr;
    }
}

@media screen and (min-width: 700px) {
    .pokemon-vigen {
        grid-template-columns: 1fr 1fr 1fr 1fr;
    }
}

.pokemon-viigen {
    display: grid;
    grid-template-columns: 1fr;
    gap: 1rem;
}

@media screen and (min-width: 470px) {
    .pokemon-viigen {
        grid-template-columns: 1fr 1fr;
    }
}

@media screen and (min-width: 700px) {
    .pokemon-viigen {
        grid-template-columns: 1fr 1fr 1fr 1fr;
    }
}

.pokemon-viiigen {
    display: grid;
    grid-template-columns: 1fr;
    gap: 1rem;
}

@media screen and (min-width: 470px) {
    .pokemon-viiigen {
        grid-template-columns: 1fr 1fr;
    }
}

@media screen and (min-width: 700px) {
    .pokemon-viiigen {
        grid-template-columns: 1fr 1fr 1fr 1fr;
    }
}

.pokemon {
    border-radius: 1rem;
    background-color: var(--clr-white);
    box-shadow: 0 0 3rem -1rem rgba(0, 0, 0, .25);
    padding-block: 1rem;
    text-transform: uppercase;
    position: relative;
    isolation: isolate;
    overflow: hidden;
}

.pokemon-id-back {
    position: absolute;
    top: 1rem;
    left: 50%;
    transform: translateX(-50%);
    font-size: 6rem;
    font-weight: 800;
    z-index: -1;
    color: var(--clr-gray);
}

.pokemon-imagen {
    padding-inline: 1rem;
    display: flex;
    justify-content: center;
}

.pokemon-imagen img {
    width: 100%;
    max-width: 6rem;
}

.pokemon-info {
    display: flex;
    flex-direction: column;
    gap: .5rem;
    padding-inline: 1rem;
    align-items: center;
    text-align: center;
}

.nombre-contenedor {
    display: flex;
    align-items: center;
    column-gap: .5rem;
    flex-wrap: wrap;
    justify-content: center;
}

.pokemon-id {
    background-color: var(--clr-gray);
    padding: .25rem .5rem;
    border-radius: 100vmax;
    font-size: .75rem;
    font-weight: 500;
}

.pokemon-nombre {
    font-size: 1.1rem;
}

.pokemon-tipos {
    display: flex;
    gap: .5rem;
    font-size: .75rem;
    font-weight: 500;
    flex-wrap: wrap;
    justify-content: center;
}

.tipo {
    padding: .25rem .5rem;
    border-radius: 100vmax;
}

.pokemon-stats {
    display: flex;
    gap: 1rem;
    font-size: .85rem;
}

.stat {
    background-color: var(--clr-gray);
    padding: .25rem .5rem;
    border-radius: 100vmax;
}



.normal {
    background-color: var(--type-normal);
    color: var(--clr-black);
}

.fire {
    background-color: var(--type-fire);
    color: var(--clr-black);
}

.water {
    background-color: var(--type-water);
    color: var(--clr-white);
}

.grass {
    background-color: var(--type-grass);
    color: var(--clr-black);
}

.electric {
    background-color: var(--type-electric);
    color: var(--clr-black);
}

.ice {
    background-color: var(--type-ice);
    color: var(--clr-black);
}

.fighting {
    background-color: var(--type-fighting);
    color: var(--clr-white);
}

.poison {
    background-color: var(--type-poison);
    color: var(--clr-white);
}

.ground {
    background-color: var(--type-ground);
    color: var(--clr-black);
}

.flying {
    background-color: var(--type-flying);
    color: var(--clr-black);
}

.psychic {
    background-color: var(--type-psychic);
    color: var(--clr-black);
}

.bug {
    background-color: var(--type-bug);
    color: var(--clr-black);
}

.rock {
    background-color: var(--type-rock);
    color: var(--clr-black);
}

.ghost {
    background-color: var(--type-ghost);
    color: var(--clr-white);
}

.dark {
    background-color: var(--type-dark);
    color: var(--clr-white);
}

.dragon {
    background-color: var(--type-dragon);
    color: var(--clr-white);
}

.steel {
    background-color: var(--type-steel);
    color: var(--clr-black);
}

.fairy {
    background-color: var(--type-fairy);
    color: var(--clr-black);
}

section{
    height: calc(100vh - 800px);
}